/*
after dusk passed,
there is a starry sky.
*/
#include <bits/stdc++.h>
#define inf 0x3f3f3f3f
#define m_k make_pair
#define len(a) (int)a.size()
using namespace std;
inline int read()
{
	int f=1,x=0;char c=getchar();
	while(c<'0'||c>'9'){if(c=='-')f=-1;c=getchar();}
	while(c>='0'&&c<='9'){x=x*10+c-'0';c=getchar();}
	return x*f;
}
signed main()
{
	system("g++ gen.cpp -o gen -O2");
	system("g++ std.cpp -o std -O2");
	system("g++ me.cpp -o me -O2");
	for (int i=1;;i++)
	{
		printf("The result of No.%d is ",i);
		system("./gen > data.in");
		system("./std < data.in > std.out");
		system("./me < data.in > me.out");
		if (system("diff me.out std.out"))
		{
			printf("WA\n");
			return 0;
		}
		printf("AC\n");
	}
}